%define modname haru
%define soname %{modname}.so
%define inifile A66_%{modname}.ini

Summary:	Haru PDF functions
Name:		php-%{modname}
Version:	1.0.4
Release:	%mkrel 11
Group:		Development/PHP
License:	PHP License
URL:		http://pecl.php.net/package/haru
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
Patch0:		php-haru-badsearch.patch
BuildRequires:	php-devel >= 3:5.2.0
BuildRequires:	file
BuildRequires:	libharu-devel

%description
PHP interface to Haru Free PDF Library for creating PDF documents.

%prep

%setup -q -n %{modname}-%{version}
[ "../package*.xml" != "/" ] && mv ../package*.xml .

%patch0 -p0

# fix permissions
find . -type f | xargs chmod 644

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

# lib64 fix
perl -pi -e "s|/lib\b|/%{_lib}|g" config.m4

%build
%serverbuild

phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}
%make

%install
install -d %{buildroot}%{_sysconfdir}/php.d
install -d %{buildroot}%{_libdir}/php/extensions

install -m0755 modules/%{soname} %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF

%files 
%doc CREDITS haru.php package*.xml
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}




%changelog
* Fri Feb 12 2016 umeabot <umeabot> 1.0.4-11.mga6
+ Revision: 958364
- Mageia 6 Mass Rebuild

* Tue Jul 28 2015 sander85 <sander85> 1.0.4-10.mga6
+ Revision: 858654
- Rebuild for new libharu

* Wed Oct 15 2014 umeabot <umeabot> 1.0.4-9.mga5
+ Revision: 748315
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.4-8.mga5
+ Revision: 687136
- Mageia 5 Mass Rebuild

* Fri Apr 18 2014 oden <oden> 1.0.4-7.mga5
+ Revision: 616563
- rebuilt for php-5.6.0beta1

* Fri Jan 24 2014 pterjan <pterjan> 1.0.4-6.mga4
+ Revision: 567674
- Rebuild for new PHP

* Sat Oct 19 2013 umeabot <umeabot> 1.0.4-5.mga4
+ Revision: 527805
- Mageia 4 Mass Rebuild

* Thu Jun 13 2013 oden <oden> 1.0.4-4.mga4
+ Revision: 442639
- rebuilt for php-5.5.0RC3

* Wed Jan 30 2013 oden <oden> 1.0.4-3.mga3
+ Revision: 393270
- rebuilt for php-5.4.11

* Sun Jan 13 2013 umeabot <umeabot> 1.0.4-2.mga3
+ Revision: 375805
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 24 2012 oden <oden> 1.0.4-1.mga3
+ Revision: 334709
- 1.0.4

* Wed Nov 28 2012 fwang <fwang> 1.0.3-2.mga3
+ Revision: 322519
- rebuild for new libharu

* Sun Jul 29 2012 spuhler <spuhler> 1.0.3-1.mga3
+ Revision: 275619
- upgrade to 1.0.3

* Mon Mar 19 2012 luigiwalser <luigiwalser> 1.0.0-17.mga2
+ Revision: 223901
- httpd restart is handled by filetriggers now

* Wed Dec 21 2011 spuhler <spuhler> 1.0.0-16.mga2
+ Revision: 185275
- rebuild against php-5.3.9

* Sun Feb 06 2011 spuhler <spuhler> 1.0.0-15.mga1
+ Revision: 47965
- removed buildroot definition from .spec
- imported package php-haru


* Sat Jan 08 2011 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-15mdv2011.0
+ Revision: 629810
- rebuilt for php-5.3.5

* Mon Jan 03 2011 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-14mdv2011.0
+ Revision: 628131
- ensure it's built without automake1.7

* Wed Nov 24 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-13mdv2011.0
+ Revision: 600495
- rebuild

* Sun Oct 24 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-12mdv2011.0
+ Revision: 588833
- rebuild

* Fri Mar 05 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-11mdv2010.1
+ Revision: 514552
- rebuilt for php-5.3.2

* Sat Jan 02 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-10mdv2010.1
+ Revision: 485368
- rebuilt for php-5.3.2RC1

* Sat Nov 21 2009 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-9mdv2010.1
+ Revision: 468173
- rebuilt against php-5.3.1

* Wed Sep 30 2009 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-8mdv2010.0
+ Revision: 451277
- rebuild

* Sun Jul 19 2009 Raphaël Gertz <rapsys@mandriva.org> 1.0.0-7mdv2010.0
+ Revision: 397333
- Rebuild

* Mon May 18 2009 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-6mdv2010.0
+ Revision: 376997
- rebuilt for php-5.3.0RC2

* Sun Mar 01 2009 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-5mdv2009.1
+ Revision: 346497
- rebuilt for php-5.2.9

* Tue Feb 17 2009 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-4mdv2009.1
+ Revision: 341758
- rebuilt against php-5.2.9RC2

* Wed Dec 31 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-3mdv2009.1
+ Revision: 321792
- rebuild

* Fri Dec 05 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-2mdv2009.1
+ Revision: 310273
- rebuilt against php-5.2.7

* Fri Nov 21 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-1mdv2009.1
+ Revision: 305427
- 1.0.0

* Fri Jul 18 2008 Oden Eriksson <oeriksson@mandriva.com> 0.0.1-5mdv2009.0
+ Revision: 238400
- rebuild

* Fri May 02 2008 Oden Eriksson <oeriksson@mandriva.com> 0.0.1-4mdv2009.0
+ Revision: 200204
- rebuilt for php-5.2.6

* Mon Feb 04 2008 Oden Eriksson <oeriksson@mandriva.com> 0.0.1-3mdv2008.1
+ Revision: 162115
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Nov 11 2007 Oden Eriksson <oeriksson@mandriva.com> 0.0.1-2mdv2008.1
+ Revision: 107659
- restart apache if needed

* Tue Sep 04 2007 Oden Eriksson <oeriksson@mandriva.com> 0.0.1-1mdv2008.0
+ Revision: 79453
- Import php-haru



* Tue Sep 04 2007 Oden Eriksson <oeriksson@mandriva.com> 0.0.1-1mdv2008.0
- initial Mandriva package
